--[[ Rivet Button Skin for Button Facade ]]

local LibButtonFacade = LibStub("LibButtonFacade", true)

if not LibButtonFacade then return end

LibButtonFacade:AddSkin("Rivet",{

	-- Skin data start.
	Normal = {
		Width = 46,
		Height = 46,
		Texture = [[Interface\AddOns\ButtonFacade_Rivet\Textures\normal]],
		Static = true,
	},
	Pushed = {
		Hide = true,
	},
	Checked = {
		Width = 46,
		Height = 46,
		Texture = [[Interface\AddOns\ButtonFacade_Rivet\Textures\normal]],
	},
	Highlight = {
		Width = 34,
		Height = 34,
		Texture = [[Interface\AddOns\ButtonFacade_Rivet\Textures\gloss]],
		BlendMode = "ADD",
	},
	Gloss = {
		Width = 32,
		Height = 32,
		Texture = [[Interface\AddOns\ButtonFacade_Rivet\Textures\gloss]],
		BlendMode = "BLEND",
	},
	Disabled = {
		Hide = true,
	},
	Icon = {
		Width = 30,
		Height = 30,
		TexCoords = {0.07,0.93,0.07,0.93},
	},
	Cooldown = {
		Width = 30,
		Height = 30,
	},
	Backdrop = {
		Width = 36,
		Height = 36,
		Texture = [[Interface\Addons\ButtonFacade_Rivet\Textures\backdrop]],
	},
	HotKey = {
		Width = 0,
		Height = 0,
		OffsetX = 11,
		OffsetY = 11,
	},
	Count = {
		Width = 0,
		Height = 0,
		OffsetX = 1,
		OffsetY = -8,
	},
	Name = {
		Width = 0,
		Height = 0,
		OffsetX = 1,
		OffsetY = -10,
	},
	AutoCast = {
		Width = 32,
		Height = 32,
	},
	AutoCastable = {
		Width = 54,
		Height = 54,
		Texture = [[Interface\Buttons\UI-AutoCastableOverlay]],
	},
	Flash = {
		Width = 32,
		Height = 32,
		Texture = [[Interface\Buttons\UI-QuickslotRed]],
	},
	-- Skin data end.

},true)